Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

Imports

Import and match properties and people

Operations

Match and import to list

Request

Import records into a given list and match them. The request body is a JSON array of items to be imported for matching.

First you'll need to use Create a List to create a list. Make sure to set:

ImportSource=api ListType=import

Security
api_key_bearer
Path
ListIDintegerrequired

Unique identifier for the list.

Example: 123456
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"ListImportItemID""-ListImportItemID"
Purchaseintegerrequired

Calls to this endpoint are charged per record returned. To get a preview of the cost, set Purchase=0. If Purchase is set to '1' or 'true', you will be charged against your balance for each record returned according to the terms of your subscription package. Charges are non-refundable.

Enum01
Example: Purchase=1
Bodyapplication/jsonrequiredArray [
FirstNamestring

Imported Owner First Name.

Example: "John"
LastNamestring

Imported Owner Last Name.

Example: "Doe"
FullNamestring

Imported Owner Full Name.

Example: "John Doe"
Emailstring

Imported Email Address.

Example: "email@example.com"
EmailStatusstring

Imported Email Status.

Phonestring

Imported Phone Number.

Example: "555-555-1234"
PhoneTypestring

Imported Phone Type.

PhoneStatusstring

Imported Phone Status.

Addressstring

Imported Address.

Example: "120 SE Main St #500"
Citystring

Imported City.

Example: "ANAHEIM"
Statestring

Imported State.

Example: "CA"
ZipFiveinteger

Imported Zip Code.

Example: "95555"
Countystring

Imported County.

Example: "ORANGE"
APNstring

Imported APN.

Example: "13-08-180-021"
]
curl -i -X POST \
  'https://api.propertyradar.com/v1/lists/123456/import/items?Fields=ListImportItemID&Purchase=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "FirstName": "John",
      "LastName": "Doe",
      "FullName": "John Doe",
      "Email": "email@example.com",
      "EmailStatus": "Active",
      "Phone": "555-555-1234",
      "PhoneType": "mobile",
      "PhoneStatus": "Active",
      "Address": "120 SE Main St #500",
      "City": "ANAHEIM",
      "State": "CA",
      "ZipFive": "95555",
      "County": "ORANGE",
      "APN": "13-08-180-021"
    }
  ]'

Responses

Success

Bodyapplication/json
resultsArray of objects
totalCoststring

The total amount billed for the records in this response

Example: "1.00"
quantityFreeRemaininginteger

Export credits remaining in the account. Only present for preview (Purchase=false) responses.

Example: 250
resultCountinteger

The number of records in this response

Example: 20
Response
application/json
{ "results": [ { … } ], "totalCost": "1.00", "quantityFreeRemaining": 250, "resultCount": 20 }

View imported matches

Request

List the imported items with match info.

Security
api_key_bearer
Path
ListIDintegerrequired

Unique identifier for the list.

Example: 123456
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"ListID""ListImportItemID""FullName""Email""EmailStatus""Phone""PhoneType""PhoneStatus""Address""City"
Limitinteger

Maximum number of records to return.

Default 100
Example: Limit=10
Sortstring

Comma-delimited list of fields upon which to sort.

Default "ListImportItemID"
Dirstring

Comma-delimited list of directions (asc or desc) for fields provided in Sort param. For instance if you were sorting on A ascending first, then on B descending (in cases of multiple identical values of A) you would specify &Sort=A,B&Dir=asc,desc

Default "asc"
Enum"desc""asc"
Startinteger

Offset from which to begin returning records. Used for paging.

Default 0
MatchScoreinteger

Matching score between 0 and 100.

Example: MatchScore=50
PropertyStatusstring

Property import status between Selected, Matched, Pending, Not Found.

Enum"Selected""Matched""Pending""Not Found"
PersonStatusstring

Person import status between Matched Primary, Matched Set as Primary, Added as Primary, Matched, Selected as Primary, Selected, Not Found, No Longer at Property.

Enum"Matched Primary""Matched Set as Primary""Added as Primary""Matched""Selected as Primary""Selected""Not Found""No Longer at Property"
curl -i -X GET \
  'https://api.propertyradar.com/v1/lists/123456/import/items?Fields=ListID&Limit=10&Sort=ListImportItemID&Dir=desc&Start=0&MatchScore=50&PropertyStatus=Selected&PersonStatus=Matched+Primary' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ { … } ] }

Update an import match

Request

Update an import match

Security
api_key_bearer
Path
ListIDintegerrequired

Unique identifier for the list.

Example: 123456
ListImportItemIDintegerrequired

Unique identifier for the import list item.

Example: 123456
Bodyapplication/jsonrequired
PersonKeystring

A unique identifier for the person.

Example: "p123123"
RadarIDstring

Unique ID for locating properties within PropertyRadar.

curl -i -X PATCH \
  https://api.propertyradar.com/v1/lists/123456/import/items/123456 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "PersonKey": "p123123",
    "RadarID": "P8A0E18D"
  }'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ { … } ] }

Remove import match

Request

Delete an import match and revert actions such as setting primary contact.

Security
api_key_bearer
Path
ListIDintegerrequired

Unique identifier for the list.

Example: 123456
ListImportItemIDintegerrequired

Unique identifier for the import list item.

Example: 123456
curl -i -X DELETE \
  https://api.propertyradar.com/v1/lists/123456/import/items/123456 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
deleteCountinteger

The number of items deleted during the execution of the request.

Example: 1
Response
application/json
{ "deleteCount": 1 }

Automations

Configure Alerts and Automations

Operations

Accounts

Account info and preferences

Operations

Documents

Get and edit documents that make up the transaction history for a property

Operations